package com.beanpodtech.allinone.bean;

import java.io.Serializable;
import java.util.List;

public class AliVideoQAWattingInfo extends BaseRequestBean implements Serializable{

    private int currentPosition;
    private int totalNumber;
    private List<StudentInfo> waittingStudentInfos;

    public int getCurrentPosition() {
        return currentPosition;
    }

    public void setCurrentPosition(int currentPosition) {
        this.currentPosition = currentPosition;
    }

    public int getTotalNumber() {
        return totalNumber;
    }

    public void setTotalNumber(int totalNumber) {
        this.totalNumber = totalNumber;
    }

    public List<StudentInfo> getWaittingStudentInfos() {
        return waittingStudentInfos;
    }

    public void setWaittingStudentInfos(List<StudentInfo> waittingStudentInfos) {
        this.waittingStudentInfos = waittingStudentInfos;
    }

    public class StudentInfo implements Serializable {
        private String userId;
        private String userName;
        private String vipLevel;

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        public String getVipLevel() {
            return vipLevel;
        }

        public void setVipLevel(String vipLevel) {
            this.vipLevel = vipLevel;
        }
    }
}
